Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class ResponseMessage

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.ResponseMessage

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ICardUpdateResponseTO

public class ResponseMessage
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ResponseMessage()`
`ResponseMessage(int code, String message)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getCode()` Gets the code value for this ResponseMessage.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getMessage()` Gets the message value for this ResponseMessage.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCode(int code)` Sets the code value for this ResponseMessage.
`void` | `setMessage(String message)` Sets the message value for this ResponseMessage.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseMessage

    public ResponseMessage()

### ResponseMessage

    public ResponseMessage(int code,
                           String message)

Method Detail

### getCode

    public int getCode()

  Gets the code value for this ResponseMessage.

  Returns:
    code

### setCode

    public void setCode(int code)

  Sets the code value for this ResponseMessage.

  Parameters:
    `code` -

### getMessage

    public String getMessage()

  Gets the message value for this ResponseMessage.

  Returns:
    message

### setMessage

    public void setMessage(String message)

  Sets the message value for this ResponseMessage.

  Parameters:
    `message` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD